Bug 960605 (CVE-2013-2028)

Summary: CVE-2013-2028 nginx: Stack-based buffer overflow when handling certain chunked transfer encoding requests
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: affix, jamielinux, jeremy, pavel.lisy, relrod
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20130507,reported=20130507,source=oss-security,cvss2=5.0/AV:N/AC:L/Au:N/C:N/I:N/A:P,fedora-all/nginx=notaffected,fedora-rawhide/nginx=affected,epel-all/nginx=notaffected,cwe=CWE-121[auto]
Fixed In Version: nginx-1.5.0, nginx-1.4.1 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-05-30 06:58:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 960606    
Bug Blocks:    

Description Jan Lieskovsky 2013-05-07 13:31:18 UTC
A stack-based buffer overflow flaw was found in the way Nginx, a high performance web server and reverse proxy server for HTTP, SMTP, POP3, and IMAP protocols, performed processing of certain chunked transfer encoding HTTP requests. A remote attacker could provide a HTTP request with specially-crafted size or length values of the chunked packet that, when processed would lead to nginx daemon / service crash.

References:
[1] http://www.openwall.com/lists/oss-security/2013/05/07/3

Relevant upstream patch:
[2] http://nginx.org/download/patch.2013.chunked.txt

Comment 1 Jan Lieskovsky 2013-05-07 13:33:45 UTC
This issue did NOT affect the versions of the nginx package, as shipped with Fedora release of 17, 18, Fedora EPEL-5, and Fedora EPEL-6 (as they did not contain support for HTTP chunked transfer encoding yet).

Comment 2 Jan Lieskovsky 2013-05-07 13:34:19 UTC
Created nginx tracking bugs for this issue

Affects: fedora-rawhide [bug 960606]